var PageSize = 20;//每页计数
var CurrentPage = 1; //当前页
var keyword = '';
var catID = '0';
var brandID = '0';
var searchType = '0';
var status = 0;//刚进入页面不要列出商品,点击"添加商品"后再获取列表
var couponsstatus = 0;
var giftstatus = 0;



//列表查询条件
var search_urldata = 'type=ajax&Action=SearchProductsAjax&keyword=' + escape(keyword) + '&CatID=' + catID + '&BrandIDs=' + brandID + '&SearchType=' + searchType + '&PageSize='+PageSize+'&Page='+CurrentPage;

function setList(){
	var pageWidth=$('#popupContact').width()-20;
	//$(".sub_container_content").css("width",pageWidth);
	$(".sub_container_listhead").css("width",pageWidth);
	$(".llist").css("width",pageWidth);
	var c1_width = pageWidth*0.05+"px";
	var c2_width = pageWidth*0.30+"px";
	var c3_width = pageWidth*0.20+"px";
	var c4_width = pageWidth*0.15+"px";
	var c5_width = pageWidth*0.15+"px";
	var c6_width = pageWidth*0.15+"px";
	
	
	var c7_width = pageWidth*0.10+"px";
	var c8_width = pageWidth*0.30+"px";
	var c9_width = pageWidth*0.20+"px";
	var c10_width = pageWidth*0.40+"px";
	
	$('.c1').css("width",c1_width);
	$('.c2').css("width",c2_width);
	$('.c3').css("width",c3_width);
	$('.c4').css("width",c4_width);
	$('.c5').css("width",c5_width);	
	$('.c6').css("width",c6_width);	
	
	$('.c7').css("width",c3_width);
	$('.c8').css("width",c4_width);
	$('.c9').css("width",c5_width);	
	$('.c10').css("width",c6_width);	
}

//绑定数据
function BindProducts(weburl,urldata){
    $('#template').hide();//将第一行模板隐藏
    $.ajax({
        type:"get",
        dataType:"json",
        url:weburl+'?NoCopyRight=1',
        data:urldata,
        cache:false,
        success:function(msg){
            $('input[@name=chkAll]').attr('checked','');
            $('tr:gt(0)','#datas').remove();
            var data = msg.Product;
            $.each(data,function(i,n){
                var row = $('#template').clone();
                row.show().mouseover(function(){$(this).addClass('on')}).mouseout(function(){$(this).removeClass('on')}); //将复制的行显示出来并添加样式
                row.find('#checkbox').html('<input type="checkbox" name="chkItem" value="' + n.ProductID + '" />');//checkbox
                row.find('#Name').html('<div style="overflow:hidden;width:220px;white-space:nowrap;"><a href="../../Show.aspx?PID=' + n.ProductID + '" target="_blank">'+n.ProductName+'</a></div>'); //商品名称
                row.find('#ProductNo').text(n.ProductNo);   //编码
                var categoryname = (n.CategoryID != 0 ? $('#sel_category option[@value=' + n.CategoryID + ']').text().replace('├','') : "");
                var brandname = (n.BrandID != 0 ? $('#sel_brand option[@value=' + n.BrandID + ']').text() : "");
                row.find('#Category').text(categoryname);//商品类别
                row.find('#Brand').text(brandname);//商品品牌
                row.find('#MemberPrice').text(Number(n.MemberPrice).toFixed(2))//两位小数
				row.attr("id","ready_" + n.ProductID);//改变绑定好数据的行的id
				row.appendTo("#datas");//添加到模板的容器中
            });
           
            //分页
            $('.sub_container_page').show();
            var pagerStyle = "flickr";//jPagerBar样式
            ShowPageBar("pageDataList1_Pager",//[containerId]
               "Products.aspx",//[url]
               {style:pagerStyle,mark:"pageDataList1Mark",
               totalCount:msg.totalCount,showPageNumber:3,pageCount:PageSize,currentPageIndex:CurrentPage,noRecordTip:" 没有记录",preWord:"上一页",nextWord:"下一页",
               onclick:"CurrentPage={pageindex};BindProducts('pmtrule_limit_time.aspx','type=ajax&Action=SearchProductsAjax&keyword=" + escape(keyword) + "&CatID=" + catID + "&BrandIDs=" + brandID + "&SearchType=" + searchType + "&PageSize=" + PageSize + "&Page={pageindex}');return false;"}//[attr]
            );
        },
        error:function(XMLHttpRequest,textStatus){if(textStatus=='parsererror'){alert('身份已过期,请重新登陆!')}else{alert('error')};}
    });
}

function checkMeet(step, pvalue)
{
    switch(step) 
    { 
        case '2':
			var fal = false;
			$('input[@id^=chkListMemberGroup_]').each(function(i){ if($(this).attr('checked') == true || fal == true) fal = true; });
			if(fal != true) {alert('允许参加会员等级必选！');return false;}
			if($.trim($('#txtTimeBegin').val()) == ''){alert('活动开始时间必填！');return false;};
            if($.trim($('#txtTimeEnd').val()) == ''){alert('活动结束时间必填！');return false;};
			if($.trim($('#txtDescription').val()) == ''){alert('规则描述必填！');return false;};
			//--给最后一步赋上值
			$('#promotionTimeBegin_bak').val($('#txtTimeBegin').val());
			$('#promotionTimeEnd_bak').val($('#txtTimeEnd').val());
			$('#promotionDescription_bak').val($('#txtDescription').val());
            switch(pvalue)
            {
                case '1':
                    if($.trim($('#txtDiscount').val()) == ''){alert('给予的折扣必填！');return false;}else{if(Number($('#txtDiscount').val()) > 1 || Number($('#txtDiscount').val()) < 0){alert('折扣填写错误！');return false;}};
                    break
				case '2':
					if($.trim($('#txtOrderMoneyFrom').val()) == '' || $.trim($('#txtOrderMoneyTo').val()) == ''){alert('订单优惠条件必填！');return false;}
                    if($.trim($('#couponscount').text()) < 1){alert('最少选择一种优惠券！');return false;}
					break
				case '3':
					if($.trim($('#txtOrderMoneyFrom').val()) == '' || $.trim($('#txtOrderMoneyTo').val()) == ''){alert('订单优惠条件必填！');return false;}
                    if($.trim($('#giftcount').text()) < 1){alert('最少选择一种礼品！');return false;}
					break
            }
            
            break 
        case '3':
            switch(pvalue)
            {
                case '1':
                if($.trim($('#count').text()) < 1){ alert('最少选择一种商品！'); return false; }
				break
            }
            break
        default: 
            alert('非法操作！');
   } 

}

//--根据不同的情况对不同的控件进行隐藏或显示
function shouldshow(val)
{
    switch(val)
    {
        case "1":
            $('#ddyhtj').hide();  //--订单优惠条件
            $('#gydzk').show();  //--给予的折扣
            $('#yhqxz').hide();  //--优惠券选择
			$('#lpxz').hide();  //--礼品选择
			$('#spxz').show();  //--商品选择
			$('#sysp').hide();  //--所有商品
			$('#myfsd').hide();  //--免运费设定
            break
        case "2":
            $('#ddyhtj').show();  //--订单优惠条件
            $('#gydzk').hide();  //--给予的折扣
            $('#yhqxz').show();  //--优惠券选择
			$('#lpxz').hide();  //--礼品选择
			$('#spxz').hide();  //--商品选择
			$('#sysp').show();  //--所有商品
			$('#myfsd').hide();  //--免运费设定
            break
		case "3":
			$('#ddyhtj').show();  //--订单优惠条件
            $('#gydzk').hide();  //--给予的折扣
            $('#yhqxz').hide();  //--优惠券选择
			$('#lpxz').show();  //--礼品选择
			$('#spxz').hide();  //--商品选择
			$('#sysp').show();  //--所有商品
			$('#myfsd').hide();  //--免运费设定
			break;
		case "4":
			$('#ddyhtj').hide();  //--订单优惠条件
            $('#gydzk').hide();  //--给予的折扣
            $('#yhqxz').hide();  //--优惠券选择
			$('#lpxz').hide();  //--礼品选择
			$('#spxz').show();  //--商品选择
			$('#sysp').hide();  //--所有商品
			$('#myfsd').show();  //--免运费设定
			break;
    }
}
	
function checkLoginStatus(data){
    var result = true;
    if(data.indexOf('<!DOCTYPE') != -1){
        result = false;
        alert('身份已过期,请重新登陆!');
    }
    return result;
}

